> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially update protected network

> Partially update protected network. Only provided fields are updated.



## OpenAPI

````yaml /api-reference/services_documented/ddos_protection_api.yaml patch /security/sifter/v3/protected_networks/{protected_network_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DDoS Protection API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Event Logs
    x-displayName: Event Logs
  - name: BGP announces
    x-displayName: BGP announces
  - name: Protected Networks
    x-displayName: Protected Networks
  - name: Protection Profiles
    x-displayName: Protection Profiles
  - name: Protection Templates
    x-displayName: Protection Templates
  - name: Security Templates
    x-displayName: Security Templates
  - name: Profiles
    x-displayName: Profiles
paths:
  /security/sifter/v3/protected_networks/{protected_network_id}:
    patch:
      tags:
        - Protected Networks
      summary: Partially update protected network
      description: Partially update protected network. Only provided fields are updated.
      operationId: >-
        patch_protected_network_api_v3_protected_networks__protected_network_id__patch
      parameters:
        - name: protected_network_id
          in: path
          required: true
          schema:
            type: integer
            maximum: 1000000000
            minimum: 1
            description: A positive integer ID
            title: Protected Network Id
          description: A positive integer ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchProtectedNetworkData'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProtectedNetworkResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
          description: Forbidden
        '404':
          description: Protected network not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '409':
          description: Protected network is in conflicting state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PatchProtectedNetworkData:
      properties:
        gre_endpoint:
          anyOf:
            - type: string
              format: ipv4
            - type: 'null'
          title: Gre Endpoint
          description: GRE tunnel endpoint IP address
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
          description: Comment or note about the network
        profile_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Profile Id
          description: Identifier of the protection profile to assign
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
          description: Whether to activate or deactivate network protection
      type: object
      title: PatchProtectedNetworkData
      example:
        comment: Switching to backup GRE tunnel
        gre_endpoint: 198.51.100.1
    ProtectedNetworkResponse:
      properties:
        id:
          type: integer
          title: Id
          description: Identifier for the protected network
        client_id:
          type: integer
          title: Client Id
          description: Identifier of the client owning this network
        network:
          anyOf:
            - type: string
              format: ipv4network
            - type: string
              format: ipv6network
          title: Network
          description: IP network address (IPv4 or IPv6)
        as_number:
          type: integer
          title: As Number
          description: Autonomous System number associated with the network
          example: 65000
          examples:
            - 65000
        gre_endpoint:
          anyOf:
            - type: string
              format: ipv4
            - type: string
              format: ipv6
            - type: 'null'
          title: Gre Endpoint
          description: GRE tunnel endpoint IP address
          examples:
            - 172.16.31.10
        status:
          $ref: '#/components/schemas/ProtectedNetworkStatus'
          description: Current administrative status of the network
        protection_status:
          $ref: '#/components/schemas/NetworkProtectionStatus'
          description: Current protection status of the network (ACTIVE, INACTIVE, NONE)
        lifecycle_status:
          $ref: '#/components/schemas/NetworkLifeCycleStatus'
          description: >-
            Current lifecycle status of the network (PENDING, APPROVED,
            REJECTED)
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
          description: Optional comment or note about the network
        documents:
          items:
            $ref: '#/components/schemas/ProtectedNetworkDocumentResponse'
          type: array
          title: Documents
          description: List of associated documents
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the network was created
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: Timestamp of the last modification
        profile:
          anyOf:
            - $ref: '#/components/schemas/ProfileInProtectedNetwork'
            - type: 'null'
          description: Associated protection profile
        is_active:
          type: boolean
          title: Is Active
          description: Whether the network protection is currently active
        is_processing:
          type: boolean
          title: Is Processing
          description: Whether the network is currently being processed
        is_error:
          type: boolean
          title: Is Error
          description: Whether the network is in an error state
      type: object
      required:
        - id
        - client_id
        - network
        - as_number
        - gre_endpoint
        - status
        - protection_status
        - lifecycle_status
        - comment
        - documents
        - created_at
        - modified_at
        - profile
        - is_active
        - is_processing
        - is_error
      title: ProtectedNetworkResponse
      example:
        as_number: 65001
        client_id: 150
        comment: Production network for web services
        created_at: '2025-06-15T10:30:00Z'
        documents:
          - id: 501
            name: network_authorization.pdf
          - id: 502
            name: service_agreement.pdf
        gre_endpoint: 203.0.113.10
        id: 1024
        is_active: true
        is_error: false
        is_processing: false
        lifecycle_status: APPROVED
        modified_at: '2025-07-20T14:45:00Z'
        network: 198.51.100.0/24
        profile:
          id: 42
          name: Standard DDoS Protection
        protection_status: ACTIVE
        status: ENABLED
    Request:
      properties: {}
      type: object
      title: Request
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/security_iaas_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProtectedNetworkStatus:
      type: string
      enum:
        - PENDING
        - ACTIVE
        - INACTIVE
        - NEED_INFO
        - PROCESSING
        - ERROR
      title: ProtectedNetworkStatus
    NetworkProtectionStatus:
      type: string
      enum:
        - NONE
        - ACTIVE
        - INACTIVE
        - ACTIVATING
        - DEACTIVATING
        - UPDATING
        - ERROR
      title: NetworkProtectionStatus
    NetworkLifeCycleStatus:
      type: string
      enum:
        - PENDING
        - APPROVED
        - REJECTED
        - DELETED
      title: NetworkLifeCycleStatus
    ProtectedNetworkDocumentResponse:
      properties:
        id:
          type: integer
          title: Id
          description: Identifier for the document
        name:
          type: string
          title: Name
          description: Name of the document
      type: object
      required:
        - id
        - name
      title: ProtectedNetworkDocumentResponse
      example:
        id: 501
        name: network_authorization.pdf
    ProfileInProtectedNetwork:
      properties:
        id:
          type: integer
          title: Id
          description: Identifier of the protection profile
        name:
          type: string
          title: Name
          description: Name of the protection profile
      type: object
      required:
        - id
        - name
      title: ProfileInProtectedNetwork
      example:
        id: 42
        name: Standard DDoS Protection
    security_iaas_ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````